Bug 795597 - mvn zanata:pull writes ? for Unicode characters (project-type: properties)
Summary: mvn zanata:pull writes ? for Unicode characters (project-type: properties)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Maven
Version: 1.4.5
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
: ---
Assignee: Sean Flanigan
QA Contact: Carlos Munoz
URL:
Whiteboard:
Depends On:
Blocks: zanata-1.5.0
TreeView+ depends on / blocked
 
Reported: 2012-02-21 00:55 UTC by Sean Flanigan
Modified: 2013-07-10 06:38 UTC (History)
2 users (show)

Fixed In Version: 1.4.5.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 00:08:45 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 982891 None None None Never

Internal Links: 982891

Description Sean Flanigan 2012-02-21 00:55:55 UTC
Description of problem:

mvn zanata:pull is creating .properties files with ? for Unicode characters, instead of encoding them with \uxxxx.

Version-Release number of selected component (if applicable):
1.4.5

How reproducible:
100%

Comment 2 Carlos Munoz 2012-02-21 22:50:29 UTC
Verified with Zanata version 1.5.0-alpha-2-SNAPSHOT (20120221-1802)
and Zanata version 1.4.5-SNAPSHOT (20120123-1407).

Comment 3 Carlos Munoz 2012-02-21 23:16:12 UTC
Verified with Zanata client versions 1.5.0-alpha-2-SNAPSHOT (20120221-1802) and
1.4.5.1


Note You need to log in before you can comment on or make changes to this bug.